ISIS - Bug #4530

Bug # 2244 (In Progress): Pixel (Line/Sample) Projection Offset Issue

Pixel Offset - isis2pds
2016-11-10 12:01 PM - Jason Laura

Status: Acknowledged

Priority: Normal

Assignee:

Category: Applications

Target version: FY17 Sprint 3

Impact: Software Version:
Description

DoD for the export version:

* Change 2 lines of code and run the tests

* ldentify what broke

* Research the 'break’ for each to see if you have actually fixed it - this is documentation
* Clean up user test tickets if it did not break anything

History

#1 - 2016-11-10 12:01 PM - Jason Laura

- Status changed from New to Acknowledged

#2 - 2016-11-23 02:23 PM - Trent Hare
- Category set to Applications

As pds2isis is updated then exporting will need to also be updated.
http://isis.astrogeology.usgs.gov/Object/Programmer/_process_export_pds_8cpp_source.html

from:
00776 lineOffset += 0.5; // Add half a line to get to the center of (1,1)
00781 sampleOffset += 0.5; // Add half a sample to get to the center of (1,1)

to

00776 lineOffset -= 0.5; // Subtract half a line to get to the center of (1,1)
00781 sampleOffset -= 0.5; / Subtract half a sample to get to the center of (1,1)

A great test image is LOLA DEM since it is so small, simple and global 1440x720

PDS image: http://pds-geosciences.wustl.edu/Iro/Iro-I-lola-3-rdr-v1/Irolol_1xxx/data/lola_gdr/cylindrical/img/ldem_4.img

detached label: http:/pds-geosciences.wustl.edu/Iro/Iro-I-lola-3-rdr-v1/Irolol_1xxx/data/lola_gdr/cylindrical/img/ldem_4.lbl

parent link: http://pds-geosciences.wustl.edu/missions/Iro/lola.htm

Currently it does appear ISIS is exporting to PDS files one pixel off.
